@import url(./base.css);

body {
  display: grid;
  grid-template-rows: 10rem 2rem 1fr 2rem;
}

/* HEADER */

header {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  /*   align-self: stretch; */
}

header form {
  display: flex;
}

header menu {
  display: flex;
  gap: 1rem;
}

header menu li {
  display: flex;
  align-items: center;
}

/* NAV */
body > nav menu {
  display: flex;
  justify-content: space-evenly;
}

/* MAIN */
main {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  gap: 1rem;
}

article {
  display: flex;
  flex-direction: column;
}
article .description {
  flex-grow: 1;
}

/* FOOTER */
footer {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}

/* MEDIA QUERY */
@media (min-width: 600px) {
  body {
    grid-template-rows: 5rem 1fr 2rem;
    grid-template-columns: 10rem 1fr;
  }

  header,
  footer {
    grid-column: span 2;
  }

  /* HEADER */
  header {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }

  /* NAV */
  body > nav {
    align-self: start;
  }

  body > nav menu {
    flex-direction: column;
  }

  /* FOOTER */
  footer {
    justify-content: center;
    gap: 2rem;
  }
}
